package es.ejie.frmk.infraestructura.traza;

/**
 * Representa un par tipo-token valor-token usado por el parser y el evaluator
 * de expresiones booleanas.
 * 
 * @author Carlos Rodriguez
 * @version 1.0  fecha: 10-dic-03
 * 
 */
public class Q70Token
{
	private int tipo;
	private String valor;
	/**
	 * Genera un nuevo token.
	 * @param tipo tipo del tocken (variable, operacion, cadena).
	 * @param valor String representando:
	 * 					<ul>
	 * 					<li>Si el tipo es variable, el nombre de la variable.</li> 
	 * 					<li>Si el tipo es operación, el nombre de la operacion.</li>
	 * 					<li>Si el tipo es cadena,  la cadena.</li>
	 * 					</ul>
	 */
	public Q70Token(int tipo, String valor)
	{
		this.tipo=tipo;
		this.valor=valor;
	}
	/**
	 * Devuelve el tipo de elemento
	 * @return entero representando el tipo de elemento
	 */
	public int getTipo()
	{
		return tipo;
	}

	/**
	 * Devuelve el valor del token.
	 * @return String con el valor del token
	 */
	public String getValor()
	{
		return valor;
	}

	/**
	 * Establece el tipo de token.
	 * @param tipo Tipo de token
	 */
	public void setTipo(int tipo)
	{
		this.tipo = tipo;
	}

	/**
	 * Establece el valor del token
	 * @param string Valor del token
	 */
	public void setValor(String valor)
	{
		this.valor = valor;
	}

}
